Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230588 - Cant add virtualization entitlement if out of rhn-tools but system already has rhn-tools
Summary: Cant add virtualization entitlement if out of rhn-tools but system already ha...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 17:21 UTC by Mike McCune
Modified: 2007-04-18 18:00 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 01:59:45 UTC


Attachments (Terms of Use)

Description Mike McCune 2007-03-01 17:21:57 UTC
Setup an account with:

0) 1 Virtualization
1) 1 rhel-server entitlement
2) 1 rhn-tools entitlement
3) 1 rhel-vt entitlement
4) 1 registered RHEL5 System
5) Login and add Virtualization to the system.  This should consume your 1
rhn-tools and rhel-vt child channel subscriptions.

Verify that you are out of rhn-tools subs by going here:

https://rhn.webdev.redhat.com/rhn/channels/software/Entitlements.do

6) Then, *remove* virtualization from the system.
7) Attempt to re-add it and you get an error stating:

"You cant add virt because you are out of rhn-tools subscriptions"

Since the system is already subscribed we shouldn't try to subscribe it *again*.

Comment 1 Brandon Perkins 2007-03-02 04:28:32 UTC
Verified.

Comment 2 Brandon Perkins 2007-03-13 01:59:45 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.